Loading...
Searching...
No Matches
GoogleDataProvider::SoftBoolOrNothingStringType Class Reference

Boolean string type for boolean input and string output. More...

`#include <GoogleDataProvider.qm.dox.h>`

## Public Member Functions

auto | acceptsValue (auto value)
| Returns the value after any conversions by the type.
| constructor ()
| Creates the object.
auto | getDefaultValue ()
| Returns the default value for the type or NOTHING if the type has no default value.
string | getName ()
| Returns the type name.

## Detailed Description

Boolean string type for boolean input and string output.